# Textentry

Based on the textupdate widget, this widget displays the value of a PV and allows to enter new values.

## Properties

All properties are inherited from the textupdate widget

## Detail on Behaviour

There is a update and edit mode. In update mode, new values of the PV are displayed. But if the PV is constantly changing, it is hard to enter a new value because the new value will always overwrite what you just entered. Therefore the widget will switch to edit mode, i.e. "freeze" after the cursor is moved inside the widget. This means you get into edit mode as soon as you enter anything, use the cursor keys or click the mouse inside the textentry widget. Now you can edit the content undisturbed, until you either leave the widget by selecting another widget, in which case all entries are lost and replaced by the current value of the PV, or you press ENTER, in which case the entered value is sent to the PV.